[Regression pre-wmf.2] Wrong LaTeX formula still renders as correct one after editing
Closed, ResolvedPublic1 Story Points


Steps to reproduce:

1.Go to Insert>Formula
2.Type \pi
3.Now again edit the formula and make it \p

Observe that, it is still rendering as pi with red highlight on it which is not correct.

Ryasmeen created this task.Oct 1 2015, 11:48 PM
Ryasmeen updated the task description. (Show Details)
Ryasmeen raised the priority of this task from to Needs Triage.
Ryasmeen added a project: VisualEditor.
Ryasmeen added a subscriber: Ryasmeen.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 1 2015, 11:48 PM
Tchanders added a comment.EditedOct 2 2015, 1:08 PM

In some cases, displaying the last non-erroneous rendering probably does make the most sense, e.g. in the process of changing \pi to \sqrt\pi, there could be errors on \\pi, \s\pi, \sq\pi, etc - in this case showing the previous rendering is probably best.

But when a genuine error is made, it is confusing to see an old valid rendering and with no explanation. This could be improved by T113172 - showing the error message in the inspector, with an explanation that the preview has not updated because there is an error.

Currently, if the inspector is closed while there is an error, the old rendering remains, with no visible prompt that there is an error until after the page is saved. Again this is confusing - it would be better to render the error once the inspector is closed. This is addressed by T114480.

Jdforrester-WMF raised the priority of this task from Normal to High.Nov 20 2015, 7:57 PM